Page MenuHomeMiraheze

Enabling Cargo extension does not apply appropriate permissions
Closed, ResolvedPublic

Description

The Cargo documentation (https://www.mediawiki.org/wiki/Extension:Cargo/Storing_data) suggests that the sysop group should have the recreatecargodata permission by default. This does not appear to be the case when the extension is enabled by ManageWikiExtensions.

Event Timeline

Sparr created this task.Dec 28 2018, 05:56
Sparr added a comment.Dec 28 2018, 05:57

deletecargodata should probably also be enabled for that group, although I can't find documentation one way or the other about its intended default state.

Sparr added a comment.Dec 28 2018, 05:59

This might be a more widespread concern. I notice that masseditregex permission is also not enabled when its extension is enabled.

@Sparr Thank you for reporting this. @John Could it be anything to do with ManageWiki?

John added a comment.Dec 28 2018, 13:42

@Sparr Thank you for reporting this. @John Could it be anything to do with ManageWiki?

Yes. It’s not configured correctly. This has been brought up several times and several times I’ve said the same thing - it’s possible now with T3322 but no one has done anything with it.

John edited projects, added Configuration; removed Extensions, ManageWiki.Dec 28 2018, 13:43
Paladox added a subscriber: Paladox.EditedDec 28 2018, 15:19

@Sparr You can enable this for the sysops group through Special:ManageWikiPermissions.

AmandaCath triaged this task as Normal priority.Dec 28 2018, 16:17
AmandaCath removed a project: Amanda Catherine.
AmandaCath removed a subscriber: AmandaCath.
MacFan4000 signed these changes with MFA.Dec 28 2018, 16:19
MacFan4000 added subscribers: AmandaCath, MacFan4000.

@John the latest comment in the task you mentioned is you saying that you working on implementing the permissions part of it. https://phabricator.miraheze.org/T3322#73807

John added a comment.Dec 28 2018, 16:30

@John the latest comment in the task you mentioned is you saying that you working on implementing the permissions part of it. https://phabricator.miraheze.org/T3322#73807

“Working on adding files and MWP now” was a month ago. Plus my comment above “it’s possible now with T3322 but no one has done anything with it.” keyword being “now” and “possible”

Void claimed this task.Dec 29 2018, 04:01

I believe https://git.io/fhIPq will add default permissions for all extensions we currently have.

@Sparr after Void’s change above, is the issue now resolved?

Sparr added a comment.Dec 31 2018, 19:59

@AmandaCath The changes were already made to my wiki manually and I am afraid of undesired side effects if I remove and re-add the extensions in question, and also not sure that doing so would remove the permissions correctly in order to test if they are re-added. This needs to be tested on a wiki that does not already have Cargo or MassEditRegex or the other affected extensions enabled.

Void closed this task as Resolved.Dec 31 2018, 22:07

Confirmed working on publictestwiki.com